Class IdlSettings

Declaration :

- C++ : class IdlSettings : public UmlSettings
- Java : final class IdlSettings extends UmlSettings

This class manages settings concerning IDL, configured through
the 'Generation settings' dialog.
This class may be defined as a 'singleton', but I prefer to use static
members allowing to just write 'IdlSettings::member' rather than
'IdlSettings::instance()->member' or other long sentence like this.

Artifact : IdlSettings

Operation useDefaults

Declaration :

- Uml : static, + useDefaults() : bool
- C++ : public: static bool useDefaults()
- Java : public static boolean useDefaults()

returns TRUE when the created Java objects are initialized
with the default declaration/definition

Operation set_UseDefaults

Declaration :

- Uml : static, + set_UseDefaults(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UseDefaults(bool y)
- Java : public static void set_UseDefaults(boolean y) throws RuntimeException

if y is TRUE the future created Java objects will be initialized
with the default declaration/definition
On error : return FALSE in C++, produce a RuntimeException in Java

Operation type

Declaration :

- Uml : static, + type(in s : string) : string
- C++ : public: static QCString type(QCString s)
- Java : public static String type(String s)

returns the IDL type corresponding to the 'UML' type given in
argument, as it is configured in the first 'Generation settings'
dialog's tab

Operation set_Type

Declaration :

- Uml : static, + set_Type(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Type(QCString s, QCString v)
- Java : public static void set_Type(String s, String v) throws RuntimeException

set the IDL type corresponding to the 'UML' type given in
argument, as it is configured in the first 'Generation settings'
dialog's tab
On error : return FALSE in C++, produce a RuntimeException in Java

Operation umlType

Declaration :

- Uml : static, + umlType(in s : string) : string
- C++ : public: static QCString umlType(QCString s)
- Java : public static String umlType(String s)

reverse of the Type() operation, returns the 'UML' type corresponding
to the IDL type given in argument

Operation relationAttributeStereotype

Declaration :

- Uml : static, + relationAttributeStereotype(in s : string) : string
- C++ : public: static QCString relationAttributeStereotype(const QCString & s)
- Java : public static String relationAttributeStereotype(String s)

returns the IDL stereotype corresponding to the 'UML' stereotype given
in argument

Operation set_RelationAttributeStereotype

Declaration :

- Uml : static, + set_RelationAttributeStereotype(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RelationAttributeStereotype(QCString s, QCString v)
- Java : public static void set_RelationAttributeStereotype(String s, String v) throws RuntimeException

set the IDL stereotype corresponding to the 'UML' stereotype given
in argument
On error : return FALSE in C++, produce a RuntimeException in Java

Operation relationAttributeUmlStereotype

Declaration :

- Uml : static, + relationAttributeUmlStereotype(in s : string) : string
- C++ : public: static QCString relationAttributeUmlStereotype(QCString s)
- Java : public static String relationAttributeUmlStereotype(String s)

reverse of the RelationAttributeStereotype() operation, returns the 'UML'
stereotype corresponding to the IDL one given in argument

Operation classStereotype

Declaration :

- Uml : static, + classStereotype(in s : string) : string
- C++ : public: static QCString classStereotype(QCString s)
- Java : public static String classStereotype(String s)

returns the IDL stereotype corresponding to the 'UML' stereotype given
in argument

Operation set_ClassStereotype

Declaration :

- Uml : static, + set_ClassStereotype(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ClassStereotype(QCString s, QCString v)
- Java : public static void set_ClassStereotype(String s, String v) throws RuntimeException

set the IDL stereotype corresponding to the 'UML' stereotype given
in argument
On error : return FALSE in C++, produce a RuntimeException in Java

Operation classUmlStereotype

Declaration :

- Uml : static, + classUmlStereotype(in s : string) : string
- C++ : public: static QCString classUmlStereotype(QCString s)
- Java : public static String classUmlStereotype(String s)

reverse of the ClassStereotype() operation, returns the 'UML'
stereotype corresponding to the IDL one given in argument

Operation include

Declaration :

- Uml : static, + include(in s : string) : string
- C++ : public: static QCString include(QCString s)
- Java : public static String include(String s)

returns the #include or other form specified in the last
'Generation settings' tab for the Idl type given in argument.

Operation set_Include

Declaration :

- Uml : static, + set_Include(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Include(QCString s, QCString v)
- Java : public static void set_Include(String s, String v) throws RuntimeException

set the #include or other form specified in the last
'Generation settings' tab for the Idl type given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Operation rootDir

Declaration :

- Uml : static, + rootDir() : string
- C++ : public: static const QCString & rootDir()
- Java : public static String rootDir()

returns the 'root' directory

Operation set_RootDir

Declaration :

- Uml : static, + set_RootDir(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RootDir(QCString v)
- Java : public static void set_RootDir(String v) throws RuntimeException

set the 'root' directory
On error : return FALSE in C++, produce a RuntimeException in Java

Operation sourceContent

Declaration :

- Uml : static, + sourceContent() : string
- C++ : public: static const QCString & sourceContent()
- Java : public static String sourceContent()

returns the default source file content

Operation set_SourceContent

Declaration :

- Uml : static, + set_SourceContent(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceContent(QCString v)
- Java : public static void set_SourceContent(String v) throws RuntimeException

set the default source file content
On error : return FALSE in C++, produce a RuntimeException in Java

Operation sourceExtension

Declaration :

- Uml : static, + sourceExtension() : string
- C++ : public: static const QCString & sourceExtension()
- Java : public static String sourceExtension()

returns the extension of the files produced by the Idl code generator

Operation set_SourceExtension

Declaration :

- Uml : static, + set_SourceExtension(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceExtension(QCString v)
- Java : public static void set_SourceExtension(String v) throws RuntimeException

set the extension of the files produced by the Idl code generator
On error : return FALSE in C++, produce a RuntimeException in Java

Operation interfaceDecl

Declaration :

- Uml : static, + interfaceDecl() : string
- C++ : public: static const QCString & interfaceDecl()
- Java : public static String interfaceDecl()

returns the default definition of an interface

Operation set_InterfaceDecl

Declaration :

- Uml : static, + set_InterfaceDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_InterfaceDecl(QCString v)
- Java : public static void set_InterfaceDecl(String v) throws RuntimeException

set the default definition of an interface
On error : return FALSE in C++, produce a RuntimeException in Java

Operation valuetypeDecl

Declaration :

- Uml : static, + valuetypeDecl() : string
- C++ : public: static const QCString & valuetypeDecl()
- Java : public static String valuetypeDecl()

returns the default definition of a valuetype

Operation set_ValuetypeDecl

Declaration :

- Uml : static, + set_ValuetypeDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ValuetypeDecl(QCString v)
- Java : public static void set_ValuetypeDecl(String v) throws RuntimeException

set the default definition of a valuetype
On error : return FALSE in C++, produce a RuntimeException in Java

Operation externalClassDecl

Declaration :

- Uml : static, + externalClassDecl() : string
- C++ : public: static const QCString & externalClassDecl()
- Java : public static String externalClassDecl()

returns the default specification for an 'external' class

Operation set_ExternalClassDecl

Declaration :

- Uml : static, + set_ExternalClassDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ExternalClassDecl(QCString v)
- Java : public static void set_ExternalClassDecl(String v) throws RuntimeException

set the default specification for an 'external' class
On error : return FALSE in C++, produce a RuntimeException in Java

Operation structDecl

Declaration :

- Uml : static, + structDecl() : string
- C++ : public: static const QCString & structDecl()
- Java : public static String structDecl()

returns the default definition of a struct

Operation set_StructDecl

Declaration :

- Uml : static, + set_StructDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_StructDecl(QCString v)
- Java : public static void set_StructDecl(String v) throws RuntimeException

set the default definition of a struct
On error : return FALSE in C++, produce a RuntimeException in Java

Operation typedefDecl

Declaration :

- Uml : static, + typedefDecl() : string
- C++ : public: static const QCString & typedefDecl()
- Java : public static String typedefDecl()

returns the default definition of a typedef

Operation set_TypedefDecl

Declaration :

- Uml : static, + set_TypedefDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_TypedefDecl(QCString v)
- Java : public static void set_TypedefDecl(String v) throws RuntimeException

set the default definition of a typedef
On error : return FALSE in C++, produce a RuntimeException in Java

Operation exceptionDecl

Declaration :

- Uml : static, + exceptionDecl() : string
- C++ : public: static const QCString & exceptionDecl()
- Java : public static String exceptionDecl()

returns the default definition of an exception

Operation set_ExceptionDecl

Declaration :

- Uml : static, + set_ExceptionDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ExceptionDecl(QCString v)
- Java : public static void set_ExceptionDecl(String v) throws RuntimeException

set the default definition of an exception
On error : return FALSE in C++, produce a RuntimeException in Java

Operation unionDecl

Declaration :

- Uml : static, + unionDecl() : string
- C++ : public: static const QCString & unionDecl()
- Java : public static String unionDecl()

returns the default definition of an union

Operation set_UnionDecl

Declaration :

- Uml : static, + set_UnionDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UnionDecl(QCString v)
- Java : public static void set_UnionDecl(String v) throws RuntimeException

set the default definition of an union
On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumDecl

Declaration :

- Uml : static, + enumDecl() : string
- C++ : public: static const QCString & enumDecl()
- Java : public static String enumDecl()

returns the default definition of an enum

Operation set_EnumDecl

Declaration :

- Uml : static, + set_EnumDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumDecl(QCString v)
- Java : public static void set_EnumDecl(String v) throws RuntimeException

set the default definition of an enum
On error : return FALSE in C++, produce a RuntimeException in Java

Operation attributeDecl

Declaration :

- Uml : static, + attributeDecl(in multiplicity : str) : string
- C++ : public: static const QCString & attributeDecl(const char * multiplicity)
- Java : public static String attributeDecl(String multiplicity)

returns the default definition of an attribute depending on the multiplicity

Operation set_AttributeDecl

Declaration :

- Uml : static, + set_AttributeDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_AttributeDecl(const char * multiplicity, QCString v)
- Java : public static void set_AttributeDecl(String multiplicity, String v) throws RuntimeException

set the default definition of an attribute
On error : return FALSE in C++, produce a RuntimeException in Java

Operation valuetypeAttributeDecl

Declaration :

- Uml : static, + valuetypeAttributeDecl(in multiplicity : str) : string
- C++ : public: static const QCString & valuetypeAttributeDecl(const char * multiplicity)
- Java : public static String valuetypeAttributeDecl(String multiplicity)

returns the default definition of an attribute
placed in a valuetype depending on the multiplicity

Operation set_ValuetypeAttributeDecl

Declaration :

- Uml : static, + set_ValuetypeAttributeDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ValuetypeAttributeDecl(const char * multiplicity, QCString v)
- Java : public static void set_ValuetypeAttributeDecl(String multiplicity, String v) throws RuntimeException

set the default definition of an attribute
placed in a valuetype
On error : return FALSE in C++, produce a RuntimeException in Java

Operation unionItemDecl

Declaration :

- Uml : static, + unionItemDecl(in multiplicity : str) : string
- C++ : public: static const QCString & unionItemDecl(const char * multiplicity)
- Java : public static String unionItemDecl(String multiplicity)

returns the default definition of an union item depending on the multiplicity

Operation set_UnionItemDecl

Declaration :

- Uml : static, + set_UnionItemDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UnionItemDecl(const char * multiplicity, QCString v)
- Java : public static void set_UnionItemDecl(String multiplicity, String v) throws RuntimeException

set the default definition of an union item
On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumItemDecl

Declaration :

- Uml : static, + enumItemDecl() : string
- C++ : public: static const QCString & enumItemDecl()
- Java : public static String enumItemDecl()

returns the default definition of an enumeration item

Operation set_EnumItemDecl

Declaration :

- Uml : static, + set_EnumItemDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumItemDecl(QCString v)
- Java : public static void set_EnumItemDecl(String v) throws RuntimeException

set the default definition of an enumeration item
On error : return FALSE in C++, produce a RuntimeException in Java

Operation constDecl

Declaration :

- Uml : static, + constDecl(in multiplicity : str) : string
- C++ : public: static const QCString & constDecl(const char * multiplicity)
- Java : public static String constDecl(String multiplicity)

returns the default definition of a constant attribute depending on the multiplicity

Operation set_ConstDecl

Declaration :

- Uml : static, + set_ConstDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ConstDecl(const char * multiplicity, QCString v)
- Java : public static void set_ConstDecl(String multiplicity, String v) throws RuntimeException

set the default definition of a constant attribute
On error : return FALSE in C++, produce a RuntimeException in Java

Operation relationDecl

Declaration :

- Uml : static, + relationDecl(in multiplicity : str) : string
- C++ : public: static const QCString & relationDecl(const char * multiplicity)
- Java : public static String relationDecl(String multiplicity)

returns the default definition of a relation depending on the
multiplicity given in argument.

Operation set_RelationDecl

Declaration :

- Uml : static, + set_RelationDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RelationDecl(const char * multiplicity, QCString v)
- Java : public static void set_RelationDecl(String multiplicity, String v) throws RuntimeException

set the default definition of a relation depending on the
multiplicity given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Operation valuetypeRelationDecl

Declaration :

- Uml : static, + valuetypeRelationDecl(in multiplicity : str) : string
- C++ : public: static const QCString & valuetypeRelationDecl(const char * multiplicity)
- Java : public static String valuetypeRelationDecl(String multiplicity)

returns the default definition of a relation in a valuetype
depending on the multiplicity given in argument.

Operation set_ValuetypeRelationDecl

Declaration :

- Uml : static, + set_ValuetypeRelationDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ValuetypeRelationDecl(const char * multiplicity, QCString v)
- Java : public static void set_ValuetypeRelationDecl(String multiplicity, String v) throws RuntimeException

set the default definition of a relation in a valuetype
depending on the multiplicity given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Operation unionRelationDecl

Declaration :

- Uml : static, + unionRelationDecl(in multiplicity : str) : string
- C++ : public: static const QCString & unionRelationDecl(const char * multiplicity)
- Java : public static String unionRelationDecl(String multiplicity)

returns the default definition of a relation in an union
depending on the multiplicity given in argument.

Operation set_UnionRelationDecl

Declaration :

- Uml : static, + set_UnionRelationDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UnionRelationDecl(const char * multiplicity, QCString v)
- Java : public static void set_UnionRelationDecl(String multiplicity, String v) throws RuntimeException

set the default definition of a relation in an union
depending on the multiplicity given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Operation operationDecl

Declaration :

- Uml : static, + operationDecl() : string
- C++ : public: static const QCString & operationDecl()
- Java : public static String operationDecl()

returns the default declaration of an operation

Operation set_OperationDecl

Declaration :

- Uml : static, + set_OperationDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_OperationDecl(QCString v)
- Java : public static void set_OperationDecl(String v) throws RuntimeException

set the default declaration of an operation
On error : return FALSE in C++, produce a RuntimeException in Java

Operation getName

Declaration :

- Uml : static, + getName() : string
- C++ : public: static const QCString & getName()
- Java : public static String getName()

returns the default name of a 'get' operation generated through
the attribute and relation 'add get operation' menu

Operation set_GetName

Declaration :

- Uml : static, + set_GetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_GetName(QCString v)
- Java : public static void set_GetName(String v) throws RuntimeException

set the default name of a 'get' operation generated through
the attribute and relation 'add get operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Operation setName

Declaration :

- Uml : static, + setName() : string
- C++ : public: static const QCString & setName()
- Java : public static String setName()

returns the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu

Operation set_SetName

Declaration :

- Uml : static, + set_SetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SetName(QCString v)
- Java : public static void set_SetName(String v) throws RuntimeException

set the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isSetOneway

Declaration :

- Uml : static, + isSetOneway() : bool
- C++ : public: static bool isSetOneway()
- Java : public static boolean isSetOneway()

returns if a 'set' operation generated through the attribute
and relation 'add set operation' menu is oneway by default

Operation set_IsSetOneway

Declaration :

- Uml : static, + set_IsSetOneway(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsSetOneway(bool v)
- Java : public static void set_IsSetOneway(boolean v) throws RuntimeException

set if a 'set' operation generated through the attribute
and relation 'add set operation' menu is oneway by default
On error : return FALSE in C++, produce a RuntimeException in Java

Operation IdlSettings

Declaration :

- Uml : - IdlSettings() :
- C++ : private: IdlSettings()
- Java : private IdlSettings()

never called !

Attribut _defined

Declaration :

- Uml : static, - _defined : bool
- C++ : private: static bool _defined
- Java : private static boolean _defined

Attribut _root

Declaration :

- Uml : static, - _root : string
- C++ : private: static QCString _root
- Java : private static String _root

Attribut _interface_decl

Declaration :

- Uml : static, - _interface_decl : string
- C++ : private: static QCString _interface_decl
- Java : private static String _interface_decl

Attribut _valuetype_decl

Declaration :

- Uml : static, - _valuetype_decl : string
- C++ : private: static QCString _valuetype_decl
- Java : private static String _valuetype_decl

Attribut _struct_decl

Declaration :

- Uml : static, - _struct_decl : string
- C++ : private: static QCString _struct_decl
- Java : private static String _struct_decl

Attribut _typedef_decl

Declaration :

- Uml : static, - _typedef_decl : string
- C++ : private: static QCString _typedef_decl
- Java : private static String _typedef_decl

Attribut _exception_decl

Declaration :

- Uml : static, - _exception_decl : string
- C++ : private: static QCString _exception_decl
- Java : private static String _exception_decl

Attribut _union_decl

Declaration :

- Uml : static, - _union_decl : string
- C++ : private: static QCString _union_decl
- Java : private static String _union_decl

Attribut _enum_decl

Declaration :

- Uml : static, - _enum_decl : string
- C++ : private: static QCString _enum_decl
- Java : private static String _enum_decl

Attribut _external_class_decl

Declaration :

- Uml : static, - _external_class_decl : string
- C++ : private: static QCString _external_class_decl
- Java : private static String _external_class_decl

Attribut _attr_decl

Declaration :

- Uml : static, - _attr_decl : string
- C++ : private: static QCString _attr_decl[3/*multiplicity*/]
- Java : private static String _attr_decl[/*multiplicity*/]

Attribut _valuetype_attr_decl

Declaration :

- Uml : static, - _valuetype_attr_decl : string
- C++ : private: static QCString _valuetype_attr_decl[3/*multiplicity*/]
- Java : private static String _valuetype_attr_decl[/*multiplicity*/]

Attribut _union_item_decl

Declaration :

- Uml : static, - _union_item_decl : string
- C++ : private: static QCString _union_item_decl[3/*multiplicity*/]
- Java : private static String _union_item_decl[/*multiplicity*/]

Attribut _enum_item_decl

Declaration :

- Uml : static, - _enum_item_decl : string
- C++ : private: static QCString _enum_item_decl
- Java : private static String _enum_item_decl

Attribut _const_decl

Declaration :

- Uml : static, - _const_decl : string
- C++ : private: static QCString _const_decl[3/*multiplicity*/]
- Java : private static String _const_decl[/*multiplicity*/]

Attribut _rel_decl

Declaration :

- Uml : static, - _rel_decl : string
- C++ : private: static QCString _rel_decl[3/*multiplicity*/]
- Java : private static String[] _rel_decl

Attribut _valuetype_rel_decl

Declaration :

- Uml : static, - _valuetype_rel_decl : string
- C++ : private: static QCString _valuetype_rel_decl[3/*multiplicity*/]
- Java : private static String[] _valuetype_rel_decl

Attribut _union_rel_decl

Declaration :

- Uml : static, - _union_rel_decl : string
- C++ : private: static QCString _union_rel_decl[3/*multiplicity*/]
- Java : private static String[] _union_rel_decl

Attribut _oper_decl

Declaration :

- Uml : static, - _oper_decl : string
- C++ : private: static QCString _oper_decl
- Java : private static String _oper_decl

Attribut _get_name

Declaration :

- Uml : static, - _get_name : string
- C++ : private: static QCString _get_name
- Java : private static String _get_name

Attribut _set_name

Declaration :

- Uml : static, - _set_name : string
- C++ : private: static QCString _set_name
- Java : private static String _set_name

Attribut _is_set_oneway

Declaration :

- Uml : static, - _is_set_oneway : bool
- C++ : private: static bool _is_set_oneway
- Java : private static boolean _is_set_oneway

Attribut _src_content

Declaration :

- Uml : static, - _src_content : string
- C++ : private: static QCString _src_content
- Java : private static String _src_content

Attribut _ext

Declaration :

- Uml : static, - _ext : string
- C++ : private: static QCString _ext
- Java : private static String _ext

Attribut _map_includes

Declaration :

- Uml : static, - _map_includes : string
- C++ : private: static QDict<QCString> _map_includes
- Java : private static Hashtable _map_includes

Operation read_

Declaration :

- Uml : static, # read_() : void
- C++ : protected: static void read_()
- Java : protected static void read_()

internal, do NOT use it

Operation read_if_needed_

Declaration :

- Uml : static, # read_if_needed_() : void
- C++ : protected: static void read_if_needed_()
- Java : protected static void read_if_needed_()

internal, do NOT use it

All public operations : artifactDescription , attributeDecl , attributeDescription , classDescription , classStereotype , classUmlStereotype , constDecl , enumDecl , enumItemDecl , exceptionDecl , externalClassDecl , getName , include , interfaceDecl , isSetOneway , operationDecl , operationDescription , relationAttributeStereotype , relationAttributeUmlStereotype , relationDecl , relationDescription , rootDir , set_ArtifactDescription , set_AttributeDecl , set_AttributeDescription , set_ClassDescription , set_ClassStereotype , set_ConstDecl , set_EnumDecl , set_EnumItemDecl , set_ExceptionDecl , set_ExternalClassDecl , set_GetName , set_Include , set_InterfaceDecl , set_IsSetOneway , set_OperationDecl , set_OperationDescription , set_RelationAttributeStereotype , set_RelationDecl , set_RelationDescription , set_RootDir , set_SetName , set_SourceContent , set_SourceExtension , set_StructDecl , set_Type , set_TypedefDecl , set_UmlGetName , set_UmlSetName , set_UnionDecl , set_UnionItemDecl , set_UnionRelationDecl , set_UseDefaults , set_ValuetypeAttributeDecl , set_ValuetypeDecl , set_ValuetypeRelationDecl , setName , sourceContent , sourceExtension , structDecl , type , typedefDecl , umlGetName , umlSetName , umlType , unionDecl , unionItemDecl , unionRelationDecl , useDefaults , valuetypeAttributeDecl , valuetypeDecl , valuetypeRelationDecl